package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 乐团采购清单
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("music_group_purchase_list")
public class MusicGroupPurchaseList extends Model<MusicGroupPurchaseList> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    @TableField("music_group_id_")
    private String musicGroupId;
    @TableField("goods_id_")
    private Integer goodsId;
    /**
     * 采购数量
     */
    @TableField("purchase_num_")
    private Integer purchaseNum;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public MusicGroupPurchaseList setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public MusicGroupPurchaseList setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
        return this;
    }

    public Integer getGoodsId() {
        return goodsId;
    }

    public MusicGroupPurchaseList setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
        return this;
    }

    public Integer getPurchaseNum() {
        return purchaseNum;
    }

    public MusicGroupPurchaseList setPurchaseNum(Integer purchaseNum) {
        this.purchaseNum = purchaseNum;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public MusicGroupPurchaseList setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public MusicGroupPurchaseList setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "MusicGroupPurchaseList{" +
        ", id=" + id +
        ", musicGroupId=" + musicGroupId +
        ", goodsId=" + goodsId +
        ", purchaseNum=" + purchaseNum +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
